Opened 5 months ago

Closed 5 months ago

#1485 closed defect (fixed)

WCST_Import Wrong time coefficients in aggregated times netcdf file

Reported by: bphamhuu Owned by: bphamhuu
Priority: major Milestone: 9.4
Component: wcst_import Version: development
Keywords: Cc: vmerticariu
Complexity: Medium

Description

To reproduce: export 3D coverage test_irr_cube_2 which has coefficient dates as
"2008-01-01T02:01:20.000Z" "2008-01-03T23:59:55.000Z" "2008-01-05T01:58:30.000Z" "2008-01-08T00:02:58.000Z"
which are translated to numbers in netcdf such as

ansi = 148654.084259259, 148656.99994213, 148658.082291667, 148661.002060185 ;

however, reimport this netcdf again with the recipe http://pastebin.com/MtCkV3kq the coefficients in gml file are reduced

as origin is "1970-01-02T17:17:34.084259+00:00"

Change History (1)

comment:1 Changed 5 months ago by bphamhuu

  • Resolution set to fixed
  • Status changed from new to closed

This ticket was fixed with the use of eval() to calculate the ansidate in seconds as shown in http://rasdaman.org/browser/systemtest/testcases_services/test_all_wcst_import/test_data/wcs_aggregated_ansidate_netcdf/ingest.template.json

 "min": "${netcdf:variable:ansi:min} * 24 * 3600 - 11644560000.0",
 "max": "${netcdf:variable:ansi:max} * 24 * 3600 - 11644560000.0",
 "directPositions": "[float(x) * 24 * 3600 - 11644560000.0 for x in ${netcdf:variable:ansi}]",
Note: See TracTickets for help on using tickets.